Eclipse + J2ME = EclipseME

Eclipse é uma das melhores IDE’s que conheço para programar em Java. Hoje no trabalho tive que fazer um programinha para celular que fizesse ligações. Achei na net um plugin para o Eclipse para trabalhar com J2Me, resolvi escrever um tutorial de como instalá-lo e configurar e um pequeno exemplo.

O primeiro passo e checar se temos os pré requisitos necessário:

  1. Java
  2. Eclipse
  3. J2Me
  4. ProGuard (Opcional)

Você pode baixar o java e o J2ME no site da SUN, já o eclipse em http://www.eclipse.org . O ProGuard em http://proguard.sourceforge.net/ .

Então vamos ao que interessa. O primeiro passo é instalar o plugin EclipseME. Inicialize o Eclipse e vá no meu Help->Software Update-> Findand Intall. Irá surgin uma janela “Install” você deve selecionar a segunda opção (Search for New Features and Install). Clique em Next.

Na próxima janela clique no botão New Remote Site. Preencha os campos que são solicitados com as seguintes informações:

Aparece a opção EclipseME para atualizar ou instalar. Clique em Finish e espere aparece uma nova janela para atualização do plugin. Selecione o EclipseMe, pressione Next, aceite a licença, espere o download e a confirmação da instalação. Depois será necessário reiniciar o Eclipse.

Vamos partir agora para a configuração:

  1. Vá no meu Window->Preference e selecione a opção J2ME
  2. Preencha a opção Device Management importando diretório onde foi descompactado o J2ME.
  3. Ainda na opção J2ME configure o Obfuscation, preenchendo o campo ProGuard Root Directory com o diretório onde foi descompactado o Proguard.

Em breve continuarei com um exemplo…

Anúncios

6 Comentários em “Eclipse + J2ME = EclipseME”


  1. […] excelente plugin para a IDE de programação para linguagem java e criar aplicações J2Me. Nesse tutorial explico quais os pré-requisitos, como instalar e configurar. Explore posts in the same […]

  2. felipebastos Says:

    instalei sei proguard, e na na criação do projeto midlet suite dá missing em src e res diretorio, e falha no carregamento da J2ME library .. eu instalei o EclipseE direto do site de updates ..

    você faz idéia da origem desses erros ? instalei tudo dentro do padrão

  3. marcos Says:

    estou com problema pra instalar o plugin eclipse me ja baixei extrai ele na pasta certa mas ele nao aparece, vc tem alguma dica

    um abraço
    marcos

  4. Tutu Says:

    Abner, estou tento problemas em encontrar os devices para fazer a importação…

    Todo WTK possui estes devices? Pois quando apontei para o diretório o eclipse não informou nada…

    Qual a dica?

  5. "Bói da água" Says:

    Abner, você é um bosta.

  6. duduindo Says:

    VocÊ é Ô cara…

    Obrigadão…

    funcionou direitinho no Ubuntu \ 😀 /

    Valew.. Fique com DEUS 😉


Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s


%d blogueiros gostam disto: